#include "TForm.h"

TForm::TForm(QWidget *parent, const char *name)
: TFormGUI(parent, name)
{
   QString TempString;
   
	// Constructor, put code here that needs to happen when this 
	// object is first created.
   DriveOps1 = new STDriveOps();
   
   TempString = DriveOps1->GetDir();
   LineEdit1->setText(TempString);

   connect(PushButton1,SIGNAL(clicked()),SLOT(ListTheRootDirs()));
   connect(PushButton2,SIGNAL(clicked()),SLOT(ListTheMoreDirs()));
}

TForm::~TForm()
{
   // Destructor, put code here that needs to happen when this 
	// object is destroied.
   
   delete DriveOps1;
}

void TForm::ListTheRootDirs()
{
   int ALoopCounter;
   QString OriginalDir;
   STStringList *Directories;
   
   OriginalDir = DriveOps1->GetDir();
   chdir("/");
   
   Directories = new STStringList();
   
   DriveOps1->GetDirectories(Directories);
   
   for(ALoopCounter=0;ALoopCounter<Directories->Count();ALoopCounter++)
   {
      MultiLineEdit1->append(Directories->item(ALoopCounter));
   }
   chdir(OriginalDir);
   delete Directories;
}

void TForm::ListTheMoreDirs()
{
   int ALoopCounter;
   QString OriginalDir;
   STStringList *Directories;
   int LevelOfRecursion;
   QString TempString;
   bool IDontCare;
   
   OriginalDir = DriveOps1->GetDir();
   chdir("/");
   
   Directories = new STStringList();
   TempString = LineEdit2->text();
   LevelOfRecursion = TempString.toInt(&IDontCare,10);
   
   DriveOps1->RecursePath(Directories,LevelOfRecursion);
   
   MultiLineEdit2->clear();
   for(ALoopCounter=0;ALoopCounter<Directories->Count();ALoopCounter++)
   {
      MultiLineEdit2->append(Directories->item(ALoopCounter));
   }
   chdir(OriginalDir);
   delete Directories;
}
