/*=============================================================================

    Copyright (C) 2001 Silicon Tao Technology Systems
    E-mail:  Support <support@silicontao.com>
    Web:     www.silicontao.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=============================================================================*/

#ifndef STDialogs_included
#define STDialogs_included

#include <STPasswordDialog.h>
#include <SiliconTaoLibs.h>

/**
 * Some basic dialog boxes.
 *
 * @short Some basic dialog boxes.
 */   
class STDialogs
{
   private:
      STDriveOps *DriveOps1;
      QString ReturnString;

   public:

      /**
       * 
       */   
      STDialogs();

      /**
       * 
       */   
      ~STDialogs();

      /**
       * Let the user select a directory from a dialog box. I opens in the given directory or
       * if no directory is give it opens in the applications current directory.
       */   
      QString DirectorySelect(QString &StartingDirectory);      
      QString DirectorySelect(const char *StartingDirectory);      

      /**
       *
       */   
      QString Password(QString &SpecialCaption);      
      QString Password(const char *SpecialCaption);      
      QString Password();      
};

#endif // STDialogs_included
