/*=============================================================================

    Copyright (C) 2001 Silicon Tao Technology Systems
    E-mail:  Support <support@silicontao.com>
    Web:     www.silicontao.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=============================================================================*/

/*=============================================================================
   ToDo:

=============================================================================*/

#include <STWidgetsEx.h>
#include <stdio.h>

STWidgetsEx::STWidgetsEx(QWidget* parent,  const char* name)
{
   ParentWidget = parent;
}

STWidgetsEx::~STWidgetsEx()
{
   //
}

QString STWidgetsEx::AppPath()
{
   //int Posit;
   
   ReturnString=qApp->argv()[0];
   if(ReturnString.find('/',0,false)>-1)
   {
      ReturnString.remove(ReturnString.findRev('/',-1,false)+1,ReturnString.length());
   } else
   {
      ReturnString="";
   }
   if(ReturnString=="")
   {
      ReturnString="./";
   }
   return(ReturnString);
}

void STWidgetsEx::setLeft(int NewValue)
{
   int Xpos, Ypos, Width, Height;

   Xpos=ParentWidget->pos().x();
   Ypos=ParentWidget->pos().y();
   Width=ParentWidget->width();
   Height=ParentWidget->height();
   Xpos=NewValue;
   ParentWidget->setGeometry(Xpos,Ypos,Width,Height);
}

void STWidgetsEx::setTop(int NewValue)
{
   int Xpos, Ypos, Width, Height;
   
   Xpos=ParentWidget->pos().x();
   Ypos=ParentWidget->pos().y();
   Width=ParentWidget->width();
   Height=ParentWidget->height();
   Ypos=NewValue;
   ParentWidget->setGeometry(Xpos,Ypos,Width,Height);
}

void STWidgetsEx::setWidth(int NewValue)
{
   int Xpos, Ypos, Width, Height;
   
   Xpos=ParentWidget->pos().x();
   Ypos=ParentWidget->pos().y();
   Width=ParentWidget->width();
   Height=ParentWidget->height();
   Width=NewValue;
   ParentWidget->setGeometry(Xpos,Ypos,Width,Height);
}

void STWidgetsEx::setHeight(int NewValue)
{
   int Xpos, Ypos, Width, Height;
   
   Xpos=ParentWidget->pos().x();
   Ypos=ParentWidget->pos().y();
   Width=ParentWidget->width();
   Height=ParentWidget->height();
   Height=NewValue;
   ParentWidget->setGeometry(Xpos,Ypos,Width,Height);
}

int STWidgetsEx::getBottem(void)
{
   int Ypos, Height;
   
   Ypos=ParentWidget->pos().y();
   Height=ParentWidget->height();
   return(Ypos+Height);
}

int STWidgetsEx::getRight(void)
{
   int Xpos, Width;
   
   Xpos=ParentWidget->pos().x();
   Width=ParentWidget->width();
   return(Xpos+Width);
}

int  STWidgetsEx::getTop(void)
{
   int Ypos;
   
   Ypos=ParentWidget->pos().y();
   return(Ypos);
}

int  STWidgetsEx::getLeft(void)
{
   int Xpos;
   
   Xpos=ParentWidget->pos().x();
   return(Xpos);
}


