#ifndef TForm_included
#define TForm_included

#include <SiliconTaoLibs.h>
#include "TFormGUI.h"


class TForm: public TFormGUI
{
	Q_OBJECT
	public:
		TForm(QWidget *parent, const char *name);
		~TForm();
	
   private:
      int GridWidth, GridHeight;
      bool FixedWidth;
      char CurrentLetter;
      QPushButton *ButtonGrid[50][50];
      void SaveLetter();
      void LoadLetter();      
      
   protected:
      virtual void closeEvent(QCloseEvent *EventPointer);     
      virtual void showEvent(QShowEvent *EventPointer);     

   private slots:
      void OnGridButtonClick();
      void OnTextChanged(const QString &NewText);

};

#endif // TForm_included

