#ifndef STScrollText_included
#define STScrollText_included

#include <SiliconTaoLibs.h>

class STScrollText: public QWidget
{
	Q_OBJECT
	private:
		QTimer *ScreenUpdate;
		int UpdateTime;
		int TheTop;
		int DotSize;
		int BarHeight;
      int ColumnCount;
		int TestRow;
		int TestColumn;
      QColor FontColor;
      QColor BackColor;
      QPainter *Painter;
      STList *DisplayColumns;
      STList *NextLetter;
      bool UpdatingScreen;
      bool ProgramRunning;
      int TextIndex;
      char TheText[50];
      
      void GetNextLetter();
      void LoadLetter(char LetterToLoad);

	public:
		void Begin();
      void Stop();
		STScrollText(QWidget *parent, const char *name);
		~STScrollText();

	private slots:
		void AdvanceDisplay();
};

#endif // STScrollText_included
