/*=============================================================================

    Copyright (C) 2001 Silicon Tao Technology Systems
    E-mail:  Support <support@silicontao.com>
    Web:     www.silicontao.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=============================================================================*/

/*=============================================================================
   File Name:					STCommanCore.h
	Object Name:				STCommanCore
   Programmer Name:			Roy Souther
   By Command of:				Silicon Tao Technology Systems
   Day Zero:					02102001, Feburary 10, 2001
   Target Platform:			Linux
   Compiler Used:				GNU g++
   Compiler Settings:      N/A
   Linker Settings:        N/A
   Title of program:			
   Discription:				This object...
=============================================================================*/

#ifndef STCommanCore_included
#define STCommanCore_included

// The SiliconTao Linux C++ libraries are build on top of the Qt libraries.
// Please visit http://www.trolltech.com for more information about Qt.
#include <AllThingsQt.h>


#ifndef BYTE
#define BYTE	unsigned char
#endif 

#ifndef byte
#define byte	unsigned char
#endif 

#ifndef WORD
#define WORD 	unsigned short int
#endif 

#ifndef DWORD
#define DWORD 	unsigned long int
#endif 

#endif //  STCommanCore_included
