/*=============================================================================

    Copyright (C) 2001 Silicon Tao Technology Systems
    E-mail:  Support <support@silicontao.com>
    Web:     www.silicontao.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=============================================================================*/

/*=============================================================================
   File Name:					STWidgetsEx.h
	Object Name:				STWidgetsEx
   Programmer Name:			Roy Souther
   By Command of:				Silicon Tao Technology Systems
   License:						GNU general public license. See GNU.
   Day Zero:					10122000, October 12, 2000
   Target Platform:			Linux
   Registors Used:       
   Compiler Used:        	GNU g++
   Compiled Settings:    
   Resources Used:       
   Libraries Used:       	
   Ports Used:           	None
   Title of program:			Object library
   Discription:				
=============================================================================*/

#ifndef STWidgetsEx_included
#define STWidgetsEx_included

#include <STCommanCore.h>
#include <AllThingsQt.h>

/**
 * Inhances the functionality of QT widgets.
 *
 * @short QT widget inhancer.
 */   
class STWidgetsEx
{
   public:
      QWidget *ParentWidget;

      QString ReturnString;

      /**
       * 
       */   
      STWidgetsEx(QWidget* parent = 0, const char* name = 0);

      /**
       * 
       */   
      ~STWidgetsEx();

      /**
       * 
       */   
      int  getTop(void);

      /**
       * 
       */   
      int  getBottem(void);

      /**
       * 
       */   
      int  getLeft(void);

      /**
       * 
       */   
      int  getRight(void);

      /**
       * 
       */   
      void setLeft(int NewValue);

      /**
       * 
       */   
      void setTop(int NewValue);

      /**
       * 
       */   
      void setWidth(int NewValue);

      /**
       * 
       */   
      void setHeight(int NewValue);

      /**
       * 
       */   
      QString AppPath();
};

#endif // STWidgetsEx_included
