/*=============================================================================

    Copyright (C) 2001 Silicon Tao Technology Systems
    E-mail:  Support <support@silicontao.com>
    Web:     www.silicontao.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=============================================================================*/

/*=============================================================================
   ToDo:

=============================================================================*/

#include <STDialogs.h>

STDialogs::STDialogs()
{
   DriveOps1 = new STDriveOps();
}

STDialogs::~STDialogs()
{
   delete DriveOps1;
}

QString STDialogs::Password(QString &SpecialCaption)
{
   STPasswordDialog Password1(0,"PasswordDialog",true,0);

   Password1.TextLabel1->setText(SpecialCaption);
   Password1.exec();
   ReturnString = Password1.UserEnteredPassword();
   return(ReturnString);
}

QString STDialogs::Password(const char *SpecialCaption)
{
   QString DefaultCaption;
   
   ReturnString = "";
   DefaultCaption = SpecialCaption;
   ReturnString = Password(DefaultCaption);
   return(ReturnString);
}

QString STDialogs::Password()
{
   QString DefaultCaption;
   
   ReturnString = "";
   DefaultCaption = "Please enter your password.";
   ReturnString = Password(DefaultCaption);
   return(ReturnString);
}

QString STDialogs::DirectorySelect(const char *StartingDirectory)
{
   QString TempString;
   
   TempString = StartingDirectory;
   ReturnString = DirectorySelect(TempString);   
   return(ReturnString);   
}

QString STDialogs::DirectorySelect(QString &StartingDirectory)
{
   QFileDialog FileDialog(StartingDirectory,0,0,"Select Directory",true);  
   
   FileDialog.setCaption("Select Directory");
   //FileDialog.setMode(QFileDialog::Directory);
   
   FileDialog.setMode(QFileDialog::DirectoryOnly);
   
   FileDialog.exec();
   ReturnString = FileDialog.selectedFile();
   return(ReturnString);
}

