
/*=============================================================================

    Copyright (C) 2001 Silicon Tao Technology Systems
    E-mail:  Support <support@silicontao.com>
    Web:     www.silicontao.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
=============================================================================*/

/*=============================================================================
   ToDo:
      - test speed of new VS malloc VS STMalloc

=============================================================================*/

#include <STObjectController.h>

STObjectController::STObjectController()
{
   DebugLevel = 0;
}

STObjectController::~STObjectController()
{

}

void STObjectController::SetDebugLevel(int NewLevel)
{
   if(NewLevel > 0)
   {
      DebugLevel = NewLevel - 1;
      if(DebugLevel > 0)
      {
         printf("SetDebugLevel = %d\n",DebugLevel);
      }
   } else
   {
      DebugLevel = 0;
   }
}

